function y=laurens1(u);

global global KPD_laurens FPD_laurens mom_max_bobine cpl_max_roue



% Le vecteur entre est  12 composantes
% u(1:3) est le vecteur drive pulse du champ magntique B' ( B'x B'y B'z ) en axes satellite
% u(4:6) est le vecteur champ B (Bx By Bz en axes satellite )

% u(7:9) en colonne est le champ magntique de consigne

% u(10:12) en colonne est la drive temporelle du champ de consigne ( B'c )

% La fonction retourne les moments magntiques mx,my et le couple roue Cr

% Sparation des vecteurs

B_prime(1:3)=u(1:3);   % en colonne Drive pulse

B(1:3)=u(4:6);         % en colonne Champ magntique puls

Bc=u(7:9);             % en colonne Champ magntique de consigne

Bc_prime=u(10:12);     % en colonne Drive du champ de consigne


% ********  CALCUL DU COUPLE MAGNETIQUE INITIAL  ****************

NB=norm(B)^2;
Bc,
B,

M_init=(KPD_laurens*(Bc-B')+FPD_laurens*(Bc_prime-B_prime'))/NB;

M=M_init;

% ********** CALCUL MOMENTS MAGNETIQUES ET COMMANDE ROUE *************


Mxx=M(3)/B(2);

Cr=(B(1)*M(1)+B(2)*M(2)+B(3)*M(3))/B(2);

Mzz=-M(1)/B(2);

% ***CALCUL DU MOMENT MAGNETIQUE FINAL ECONOMIQUE REDUIT PROPORTIONNELLEMENT ******


coeff=max([1 abs(Mxx)/mom_max_bobine abs(Cr)/cpl_max_roue abs(Mzz)/mom_max_bobine]);

couple_reduit=M_init/coeff;

% Sortie du moment magntique  " dans les clous "

y=couple_reduit;


end

%  **** Fin programme  ****












 