function y=saturmmc(u);

global couple_max_roue moment_max_bobine

% Cette fonction gre les problmes de saturation soit des magntocoupleurs
% soit de la roue, soit des deux quant ils fonctionnent ensemble.
% Dans le cas prsent c'est la bobine roulis, la bobine lacet et la roue tangage
% qui sont traits en parallle, de manire  oprer une saturation, non pas 
% individuelle mais proportionnelle, afin de respecter les conditions mathmatiques
% de la rgulation.

% Variable d'entre u  3 composantes:
%	mx moment magntique primitif de la bobine roulis
% 	mz moment magntique primitif de la bobine lacet
%	Croue couple roue primitif de la roue

mz=u(1);
mx=u(2);
Croue=u(3);


maxi=[abs(mx/moment_max_bobine),abs(mz/moment_max_bobine),abs(Croue/couple_max_roue)];

coeff_max=max(maxi);

if coeff_max>=1

   mzz=mz/coeff_max;
   mxx=mx/coeff_max;
   Cr=Croue/coeff_max;

else

  mxx=mx;
  mzz=mz;
  Cr=Croue;

end

% En sortie la fonction retourne les valeurs des moments ou couple dans la plage admissible
% Ces valeurs remplacent les valeurs pritives calcules avec notamment les PID

y=[mzz mxx Croue]';  % Matrice vecteur colonne

 
end